<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::CSVFileAdapter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1CSVFileAdapter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1CSVFileAdapter-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::CSVFileAdapter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classOpenSim_1_1CSVFileAdapter.html" title="CSVFileAdapter is a DelimFileAdapter that presets the delimiters appropriately for CSV files.">CSVFileAdapter</a> is a <a class="el" href="classOpenSim_1_1DelimFileAdapter.html" title="DelimFileAdapter is a FileAdapter that reads and writes text files with given delimiters.">DelimFileAdapter</a> that presets the delimiters appropriately for CSV files.  
 <a href="classOpenSim_1_1CSVFileAdapter.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::CSVFileAdapter:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1CSVFileAdapter.png" usemap="#OpenSim::CSVFileAdapter_map" alt=""/>
  <map id="OpenSim::CSVFileAdapter_map" name="OpenSim::CSVFileAdapter_map">
<area href="classOpenSim_1_1DelimFileAdapter.html" alt="OpenSim::DelimFileAdapter&lt; double &gt;" shape="rect" coords="0,112,228,136"/>
<area href="classOpenSim_1_1FileAdapter.html" title="FileAdapter is a DataAdapter that reads and writes files with methods read and writeFile respectively..." alt="OpenSim::FileAdapter" shape="rect" coords="0,56,228,80"/>
<area href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D..." alt="OpenSim::DataAdapter" shape="rect" coords="0,0,228,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abeb63c4ee70073e564e001d61bcf2c23"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html#abeb63c4ee70073e564e001d61bcf2c23">CSVFileAdapter</a> ()</td></tr>
<tr class="separator:abeb63c4ee70073e564e001d61bcf2c23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1b6c81b0ff5233e0852b4da4b7ba687"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html#ac1b6c81b0ff5233e0852b4da4b7ba687">CSVFileAdapter</a> (const <a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:ac1b6c81b0ff5233e0852b4da4b7ba687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5259f5403eeae0040a886f6b3b00de3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html#ad5259f5403eeae0040a886f6b3b00de3">CSVFileAdapter</a> (<a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:ad5259f5403eeae0040a886f6b3b00de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1944038a9fe1fd43820e10eaf2681891"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html#a1944038a9fe1fd43820e10eaf2681891">~CSVFileAdapter</a> ()=default</td></tr>
<tr class="separator:a1944038a9fe1fd43820e10eaf2681891"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6459926a9b493ce1a1e753726caace6f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html#a6459926a9b493ce1a1e753726caace6f">clone</a> () const override</td></tr>
<tr class="separator:a6459926a9b493ce1a1e753726caace6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1DelimFileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1DelimFileAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">OpenSim::DelimFileAdapter&lt; double &gt;</a></td></tr>
<tr class="memitem:ae712ca39eb7a3a4406832fd8490e707c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#ae712ca39eb7a3a4406832fd8490e707c">DelimFileAdapter</a> ()=delete</td></tr>
<tr class="separator:ae712ca39eb7a3a4406832fd8490e707c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec9cc4ec5431e8e670af7c31ecda3ad4 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#aec9cc4ec5431e8e670af7c31ecda3ad4">DelimFileAdapter</a> (const <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:aec9cc4ec5431e8e670af7c31ecda3ad4 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bab37f57150e02afadc4389f0d32bd1 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a4bab37f57150e02afadc4389f0d32bd1">DelimFileAdapter</a> (<a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a4bab37f57150e02afadc4389f0d32bd1 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ab96fa74910cb2abdfc850d4608071 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#aa8ab96fa74910cb2abdfc850d4608071">DelimFileAdapter</a> (const std::string &amp;delimitersRead, const std::string &amp;delimterWrite)</td></tr>
<tr class="memdesc:aa8ab96fa74910cb2abdfc850d4608071 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the adapter by setting the delimiters.  <a href="classOpenSim_1_1DelimFileAdapter.html#aa8ab96fa74910cb2abdfc850d4608071">More...</a><br /></td></tr>
<tr class="separator:aa8ab96fa74910cb2abdfc850d4608071 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a56d718053f2b069d40f0d42e4ba5bb inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a3a56d718053f2b069d40f0d42e4ba5bb">DelimFileAdapter</a> (const std::string &amp;delimitersRead, const std::string &amp;delimterWrite, const std::string &amp;compDelimRead, const std::string &amp;compDelimWrite)</td></tr>
<tr class="memdesc:a3a56d718053f2b069d40f0d42e4ba5bb inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the adapter by setting the delimiters.  <a href="classOpenSim_1_1DelimFileAdapter.html#a3a56d718053f2b069d40f0d42e4ba5bb">More...</a><br /></td></tr>
<tr class="separator:a3a56d718053f2b069d40f0d42e4ba5bb inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bff1501471fb14d7741c38a2b0d5443 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a0bff1501471fb14d7741c38a2b0d5443">operator=</a> (const <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a0bff1501471fb14d7741c38a2b0d5443 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57c8fc99942ff518b463f0cc0e9d32c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#ae57c8fc99942ff518b463f0cc0e9d32c">operator=</a> (<a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:ae57c8fc99942ff518b463f0cc0e9d32c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a9a4902836bd000aa8a1b63355453c6 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a5a9a4902836bd000aa8a1b63355453c6">~DelimFileAdapter</a> ()=default</td></tr>
<tr class="separator:a5a9a4902836bd000aa8a1b63355453c6 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739a49fb6036e3997a87a846aaacfef6 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a739a49fb6036e3997a87a846aaacfef6">clone</a> () const override</td></tr>
<tr class="separator:a739a49fb6036e3997a87a846aaacfef6 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1FileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1FileAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td></tr>
<tr class="memitem:ab9fd3aecabcaa55035e2f639332facb6 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#ab9fd3aecabcaa55035e2f639332facb6">FileAdapter</a> ()=default</td></tr>
<tr class="separator:ab9fd3aecabcaa55035e2f639332facb6 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a563304fb56a2583f9a021e708cfa2845 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a563304fb56a2583f9a021e708cfa2845">FileAdapter</a> (const <a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a563304fb56a2583f9a021e708cfa2845 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec7bf8a52d8163ccfd1747528dc8c5e inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a9ec7bf8a52d8163ccfd1747528dc8c5e">FileAdapter</a> (<a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a9ec7bf8a52d8163ccfd1747528dc8c5e inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34e37de460273c64c7902ed7756375a inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#af34e37de460273c64c7902ed7756375a">operator=</a> (const <a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:af34e37de460273c64c7902ed7756375a inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40c496a1500e36cbc11a5646d9e266cb inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a40c496a1500e36cbc11a5646d9e266cb">operator=</a> (<a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a40c496a1500e36cbc11a5646d9e266cb inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85732be30639f7ed997b9d11df60cee8 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a85732be30639f7ed997b9d11df60cee8">~FileAdapter</a> ()=default</td></tr>
<tr class="separator:a85732be30639f7ed997b9d11df60cee8 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#ac36f915dd4045ef9c52344dd05efe654">DataAdapter</a> ()=default</td></tr>
<tr class="separator:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a0008a82aec446f1b6355f461578eccfe">DataAdapter</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62febc0569d61bb65f640347e09d503d">DataAdapter</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a75c26383f9e5ae455ea804f07d04b763">operator=</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a80a45642463cb62a05f6f62440855fca">operator=</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a1fa627d27f596e810e49498e6eda8a16">~DataAdapter</a> ()=default</td></tr>
<tr class="separator:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">read</a> (const std::string &amp;dataSourceSpecification) const</td></tr>
<tr class="memdesc:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Public interface to read data from a dataSourceSpecification, typically a file or folder.  <a href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">More...</a><br /></td></tr>
<tr class="separator:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">const std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1AbstractDataTable.html">AbstractDataTable</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">getDataTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a> &amp;tables, const std::string tableName)</td></tr>
<tr class="memdesc:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic interface to retrieve a specific table by name from read result.  <a href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">More...</a><br /></td></tr>
<tr class="separator:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4f525b4a3dc38787c0e24dd758f7011a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html#a4f525b4a3dc38787c0e24dd758f7011a">write</a> (const <a class="el" href="namespaceOpenSim.html#a39e2414750443cfa41c224f5cdd31bac">TimeSeriesTable</a> &amp;table, const std::string &amp;fileName)</td></tr>
<tr class="memdesc:a4f525b4a3dc38787c0e24dd758f7011a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write a CSV file.  <a href="classOpenSim_1_1CSVFileAdapter.html#a4f525b4a3dc38787c0e24dd758f7011a">More...</a><br /></td></tr>
<tr class="separator:a4f525b4a3dc38787c0e24dd758f7011a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1DelimFileAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">OpenSim::DelimFileAdapter&lt; double &gt;</a></td></tr>
<tr class="memitem:af6cf540a1450c2314d17b99022288c7e inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#af6cf540a1450c2314d17b99022288c7e">tableString</a> ()</td></tr>
<tr class="memdesc:af6cf540a1450c2314d17b99022288c7e inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key used for table associative array returned/accepted by write/read.  <a href="classOpenSim_1_1DelimFileAdapter.html#af6cf540a1450c2314d17b99022288c7e">More...</a><br /></td></tr>
<tr class="separator:af6cf540a1450c2314d17b99022288c7e inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa850c467be4f1e0ea58b3fcdd96f3579 inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#aa850c467be4f1e0ea58b3fcdd96f3579">dataTypeName</a> ()</td></tr>
<tr class="memdesc:aa850c467be4f1e0ea58b3fcdd96f3579 inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the data type T (template parameter).  <a href="classOpenSim_1_1DelimFileAdapter.html#aa850c467be4f1e0ea58b3fcdd96f3579">More...</a><br /></td></tr>
<tr class="separator:aa850c467be4f1e0ea58b3fcdd96f3579 inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1FileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1FileAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td></tr>
<tr class="memitem:a5cc85bf83a407507fd13a661cc88843a inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a5cc85bf83a407507fd13a661cc88843a">writeFile</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">InputTables</a> &amp;tables, const std::string &amp;fileName)</td></tr>
<tr class="memdesc:a5cc85bf83a407507fd13a661cc88843a inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write a collection of tables to the given file.  <a href="classOpenSim_1_1FileAdapter.html#a5cc85bf83a407507fd13a661cc88843a">More...</a><br /></td></tr>
<tr class="separator:a5cc85bf83a407507fd13a661cc88843a inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad76d0911221f80397d1b7c047984ddfa inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#ad76d0911221f80397d1b7c047984ddfa">findExtension</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:ad76d0911221f80397d1b7c047984ddfa inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find the extension from a filename.  <a href="classOpenSim_1_1FileAdapter.html#ad76d0911221f80397d1b7c047984ddfa">More...</a><br /></td></tr>
<tr class="separator:ad76d0911221f80397d1b7c047984ddfa inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8408af2fdb34cbe7e0aff3083a2ba60d inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a8408af2fdb34cbe7e0aff3083a2ba60d">getNextLine</a> (std::istream &amp;stream, const std::string &amp;delims)</td></tr>
<tr class="memdesc:a8408af2fdb34cbe7e0aff3083a2ba60d inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next line from the stream and tokenize/split the line using the given delimiters.  <a href="classOpenSim_1_1FileAdapter.html#a8408af2fdb34cbe7e0aff3083a2ba60d">More...</a><br /></td></tr>
<tr class="separator:a8408af2fdb34cbe7e0aff3083a2ba60d inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0df59f7019f251683ba2c46b80de3e inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a4c0df59f7019f251683ba2c46b80de3e">tokenize</a> (const std::string &amp;str, const std::string &amp;delims)</td></tr>
<tr class="memdesc:a4c0df59f7019f251683ba2c46b80de3e inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tokenize/split a given string using the given delimiters.  <a href="classOpenSim_1_1FileAdapter.html#a4c0df59f7019f251683ba2c46b80de3e">More...</a><br /></td></tr>
<tr class="separator:a4c0df59f7019f251683ba2c46b80de3e inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12670e5d449cca8bf05f86e39a7741b9 inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a12670e5d449cca8bf05f86e39a7741b9">createAdapterFromExtension</a> (const std::string &amp;fileName)</td></tr>
<tr class="memdesc:a12670e5d449cca8bf05f86e39a7741b9 inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a concerte <a class="el" href="classOpenSim_1_1FileAdapter.html" title="FileAdapter is a DataAdapter that reads and writes files with methods read and writeFile respectively...">FileAdapter</a> based on the extension of the passed in file and return it.  <a href="classOpenSim_1_1FileAdapter.html#a12670e5d449cca8bf05f86e39a7741b9">More...</a><br /></td></tr>
<tr class="separator:a12670e5d449cca8bf05f86e39a7741b9 inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">registerDataAdapter</a> (const std::string &amp;identifier, const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;adapter)</td></tr>
<tr class="memdesc:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a concrete <a class="el" href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D...">DataAdapter</a> by its unique string identifier.  <a href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">More...</a><br /></td></tr>
<tr class="separator:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p><a class="el" href="classOpenSim_1_1CSVFileAdapter.html" title="CSVFileAdapter is a DelimFileAdapter that presets the delimiters appropriately for CSV files.">CSVFileAdapter</a> is a <a class="el" href="classOpenSim_1_1DelimFileAdapter.html" title="DelimFileAdapter is a FileAdapter that reads and writes text files with given delimiters.">DelimFileAdapter</a> that presets the delimiters appropriately for CSV files. </p>
<p><br  />
 </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abeb63c4ee70073e564e001d61bcf2c23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeb63c4ee70073e564e001d61bcf2c23">&#9670;&nbsp;</a></span>CSVFileAdapter() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::CSVFileAdapter::CSVFileAdapter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac1b6c81b0ff5233e0852b4da4b7ba687"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1b6c81b0ff5233e0852b4da4b7ba687">&#9670;&nbsp;</a></span>CSVFileAdapter() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::CSVFileAdapter::CSVFileAdapter </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5259f5403eeae0040a886f6b3b00de3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5259f5403eeae0040a886f6b3b00de3">&#9670;&nbsp;</a></span>CSVFileAdapter() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::CSVFileAdapter::CSVFileAdapter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1944038a9fe1fd43820e10eaf2681891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1944038a9fe1fd43820e10eaf2681891">&#9670;&nbsp;</a></span>~CSVFileAdapter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::CSVFileAdapter::~CSVFileAdapter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6459926a9b493ce1a1e753726caace6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6459926a9b493ce1a1e753726caace6f">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a>* OpenSim::CSVFileAdapter::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classOpenSim_1_1DataAdapter.html#abf6ef44f97ac71f9cd1bd2b080491e85">OpenSim::DataAdapter</a>.</p>

</div>
</div>
<a id="a4f525b4a3dc38787c0e24dd758f7011a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f525b4a3dc38787c0e24dd758f7011a">&#9670;&nbsp;</a></span>write()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void OpenSim::CSVFileAdapter::write </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOpenSim.html#a39e2414750443cfa41c224f5cdd31bac">TimeSeriesTable</a> &amp;&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fileName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write a CSV file. </p>
<p><br  />
 </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/CSVFileAdapter.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1CSVFileAdapter.html">CSVFileAdapter</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:43 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
